#ifndef __MD_CONSTANTS__
#define __MD_CONSTANTS__

#define kB 1.3806504242424e-23 // [J/K]
// Potentials
#define LJ "LJ"
#define TM "TM"
#define CONTACT "CONTACT"
#define EAM "EAM"
// Integration methods
#define SV "StormerVerlet"
// Print
#define MD_PRINT_TIME "time"
#define MD_PRINT_INCR "increment"
#define OUTPUT_FILE_EXTENSION "md"
#define OUTPUT_MESH_NAME "mesh"
#define OUTPUT_FILE_NAME "solution_data"
#define OUTPUT_CELL_FILE_NAME "average_data"
#define OUTPUT_RESTART_FILE "restart.md"
//
#define PRINT_OPTION_FOLDER "MDATA/"
#define PRINT_OPTION_ENERGY "energy"
#define PRINT_OPTION_PARTICLE_COORDS "particle_coord"
#define PRINT_OPTION_PARTICLE_COORDS_FORCE "particle_coord_force"
#define PRINT_OPTION_PARTICLE_COORDS_VELOCITY "particle_coord_velocity"
#define PRINT_OPTION_PARTICLE_COORDS_FORCE_VELOCITY "particle_coord_force_velocity"
#endif
