#ifndef __PARTICLE__
#define __PARTICLE__

#include <Vector.h>
#include <Error_messager.h>
#include <MD_Material.h>

namespace ZSET {
using namespace ZSET;

class PARTICLE
{
public:
	int id, color;
	VECTOR v;
	VECTOR x;
	VECTOR F, F_old;
        MD_MATERIAL* mat;
//        VECTOR parameter;
	VECTOR bc_x, bc_v,bc_f;
//	bool bcx, bcv, bcf;

	PARTICLE(int i, VECTOR xi); 
	PARTICLE(int i, double mi, VECTOR xi, VECTOR vi);
	PARTICLE(int i, int col, VECTOR xi, VECTOR vi, MD_MATERIAL* m); 
	~PARTICLE() {}

        double get_kinetic_energy();
};

}

#endif
